commit 7100247d0f573606bce494b26fb726305944696f
parent d647b3f5d279196d0e4caa09554018b91d70c365
Author: Andrew Laack <andrew@laack.co>
Date: Tue, 14 Oct 2025 13:16:17 -0500
Updated backups and such.
Diffstat:
4 files changed, 28 insertions(+), 2 deletions(-)
diff --git a/backup.sh b/backup.sh
@@ -1,3 +1,7 @@
#!/bin/bash
+echo "Starting Server Backup"
/home/andrew/bin/backupHelper.sh >> /home/andrew/logs/backup.log 2>&1
+
+echo "Starting Home Backup"
+/home/andrew/bin/backupHome.sh >> /home/andrew/logs/backup-home.log 2>&1
diff --git a/backupHelper.sh b/backupHelper.sh
@@ -11,8 +11,7 @@ echo "BACKUP SIZE (BEFORE):"
du -sh /backups/brgr
du -s /backups/brgr
-rsync -avzq -e ssh andrew@brgr:/home/shared/ /backups/brgr
-
+rsync -avz -e ssh andrew@brgr:/home/shared/ /backups/brgr
if [ $? -eq 0 ]; then
echo "BACKUP SIZE (AFTER):"
diff --git a/backupHome.sh b/backupHome.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# (a) Archive mode (recursive, symlinks, preserve permissions, etc.)
+# (z) Compress
+
+# This ensures in case there have been any issues with the mount it will remount it.
+echo "=== STARTING ==="
+date
+
+rsync -avz --delete --exclude ~/.cache --exclude ~/.unison --exclude ~/syncing --exclude ~/.sculptor --exclude ~/.config/Sculptor --exclude ~/.dev_sculptor -e ssh /home/andrew andrew@brgr:/backups/deepthought-home
+
+if [ $? -eq 0 ]; then
+ date
+ echo "=== COMPLETED SUCCESSFULLY ==="
+ notify-send -t 5000 "Backup succeeded"
+else
+ echo "=== RSYNC FAILED ==="
+ notify-send -u critical -t 5000 "Error! Backup Failed"
+
+fi
diff --git a/messaging.sh b/messaging.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+librewolf slack.com discord.com calendar.google.com &
+thunderbird &